Value (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class Value

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Value

All Implemented Interfaces:
  ValueExpression, Visitable

    public class Value

extends Object
implements ValueExpression

Id to represent a simple valuestring.

$Id: Value.java 1365 2010-03-26 21:46:46Z euzenat $

Version:
  $Revision: 1.2 $
Author:
  richi

Field Summary
`private URI` | `type` The eventual type of the value
`private String` | `value` Holds the value

Constructor Summary
`Value(String value)` Constructs an object with the given value.
`Value(String value, URI type)`

Method Summary
`void` | `accept(AlignmentVisitor visitor)`
`void` | `accept(TypeCheckingVisitor visitor)`
`boolean` | `equals(Object o)`
`URI` | `getType()`
`String` | `getValue()`
`int` | `hashCode()`
`String` | `toString()` Returns a short description about this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    private String value

  Holds the value

### type

    private URI type

  The eventual type of the value

Constructor Detail

### Value

    public Value(String value)

  Constructs an object with the given value.

  Parameters:
    `value` - the value for this object.
  Throws:
    `NullPointerException` - if the value is `null`
    `IllegalArgumentException` - if the value isn't longer than 0

### Value

    public Value(String value,
                 URI type)

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Throws:
    `AlignmentException`

### accept

    public void accept(TypeCheckingVisitor visitor)
                throws AlignmentException

  Throws:
    `AlignmentException`

### getValue

    public String getValue()

### getType

    public URI getType()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Returns a short description about this object. The format of the returned string is undocumentd and subject to change.

  An example return string could be: `15`

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010